# load input protein
load AF-P17931-F1-model_v4_1735374547743.pdb

# load pockets
load AF-P17931-F1-model_v4_1735374547743_pocket_1.pdb
# create bindsite
create bindsite, *pocket*

# set style
hide
show cartoon
hide cartoon, *pocket*
hide cartoon, bindsite

# show binding site residues
show sticks, bindsite and not name N+O+C and not hydrogen

# show pocket surface
show surface, *pocket*
set transparency, 0.5, *pocket*

# set shape
set cartoon_oval_length, 0.7
set cartoon_oval_width, 0.1
set stick_radius, 0.2
set valence, 0

# set color
bg_color white
color density
color gray75, *pocket*
color gray40, bindsite
color red, elem o and bindsite
color blue, elem n and bindsite
color orange, elem s and bindsite

# set label
# start $HOME/.pymolrc modification
one_letter ={'VAL':'V', 'ILE':'I', 'LEU':'L', 'GLU':'E', 'GLN':'Q', 'ASP':'D', 'ASN':'N', 'HIS':'H', 'TRP':'W', 'PHE':'F', 'TYR':'Y',    'ARG':'R', 'LYS':'K', 'SER':'S', 'THR':'T', 'MET':'M', 'ALA':'A',    'GLY':'G', 'PRO':'P', 'CYS':'C'}
# end modification
set label_color, black
label bindsite and name CA, "%s%s" %(one_letter[resn],resi)
